Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IParameterDefinition

All Known Implementing Classes:
  ParameterDefinition

    public interface IParameterDefinition

Describes the metadata of a data set parameter. The definition is used to provide a parameter's metadata when such information cannot be dynamically obtained from the underlying data source.

Method Summary
`java.lang.String` | `getDefaultInputValue()` Returns the default input value of this parameter.
`java.lang.String` | `getName()` Returns the parameter name.
`java.lang.String` | `getNativeName()` Returns the native name of the parameter as known to the underlying data source.
`int` | `getNativeType()` Returns the parameter's native data type as defined by the underlying data source.
`int` | `getPosition()` Returns the parameter position.
`int` | `getType()` Returns the parameter data type.
`boolean` | `isInputMode()` Returns whether this parameter is an input parameter.
`boolean` | `isInputOptional()` Specifies whether this parameter is optional.
`boolean` | `isNullable()` Specifies whether null values are allowed for this parameter.
`boolean` | `isOutputMode()` Returns whether this parameter is an output parameter.

Method Detail

### getName

    java.lang.String getName()

  Returns the parameter name.

  Returns:
    the name of the parameter. Null if parameter is identified by index.

### getNativeName

    java.lang.String getNativeName()

  Returns the native name of the parameter as known to the underlying data source.

  Returns:
    the parameter native name, or null if the name is not available or this parameter is not named.

### getPosition

    int getPosition()

  Returns the parameter position. Parameter positions start from 1.

  Returns:
    the parameter position. -1 if parameter is identified by name.

### getType

    int getType()

  Returns the parameter data type. See the `org.eclipse.birt.core.data.DataType` class for return value constants.

  Returns:
    the parameter data type

### getNativeType

    int getNativeType()

  Returns the parameter's native data type as defined by the underlying data source. The native data type code value is implementation-specific. Default value is 0 for none or unknown value.

  Returns:
    the native data type code of this parameter

### isInputMode

    boolean isInputMode()

  Returns whether this parameter is an input parameter. A parameter can be of both input and output modes.

  Returns:
    true if this parameter is of input mode, false otherwise.

### isOutputMode

    boolean isOutputMode()

  Returns whether this parameter is an output parameter. A parameter can be of both input and output modes.

  Returns:
    true if this parameter is of output mode, false otherwise.

### isInputOptional

    boolean isInputOptional()

  Specifies whether this parameter is optional. Applies to the parameter only if it is of input mode.

  Returns:
    true if this parameter is optional, false if this parameter is required.

### getDefaultInputValue

    java.lang.String getDefaultInputValue()

  Returns the default input value of this parameter.

  Returns:
    the default value, or null if the default value is not specified or if this is an output only parameter.

### isNullable

    boolean isNullable()

  Specifies whether null values are allowed for this parameter.

  Returns:
    true if this parameter value can be null, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.